package org.w3c.dom.events;

import org.w3c.dom.Node;

public interface MutationEvent extends Event
{
    public static final short MODIFICATION = 1;
    public static final short ADDITION = 2;
    public static final short REMOVAL = 3;
    
    public abstract Node getRelatedNode();
    
    public abstract String getPrevValue();
    
    public abstract String getNewValue();
    
    public abstract String getAttrName();
    
    public abstract short getAttrChange();
    
    public abstract void initMutationEvent(String p0, boolean p1, boolean p2, Node p3, String p4, String p5, String p6, short p7);
}
